Subject: bug#73363: 30.0.91; CJK Font Rendering Behavior Changed

From: Stephen Berman <[email-masked]>
Date: Thu, 19 Sep 2024 22:10:34 +0200

On Thu, 19 Sep 2024 19:02:26 +0200 Robert Pluim <[email-masked]> wrote:

>>>>>> On Thu, 19 Sep 2024 19:33:01 +0300, Eli Zaretskii <[email-masked]> said:
>
>     Eli> I cannot reproduce this, but I'm not on macOS.  Can someone reproduce
>     Eli> this on GNU/Linux and/or on macOS?
>
> On GNU/Linux I get the same result from
> emacs-29 and emacs-30 ("-GOOG-Noto Sans CJK
> KR-regular-normal-normal-*-16-*-*-*-*-0-iso10646-1""
>
> On macOs it changes from "PingFang SC" to "Arial Unicode MS" when I go
> from emacs-29 to emacs-30

On my GNU/Linux system:

emacs-29 -Q:
"-WenQ-WenQuanYi Zen Hei-medium-normal-normal-*-13-*-*-*-*-0-iso10646-1"

emacs-30 -Q and emacs-master -Q:
"-GOOG-Noto Sans JP-regular-normal-normal-*-13-*-*-*-*-0-iso10646-1"

The WenQuanYi Zen Hei font is in /usr/share/fonts and the Noto Sans JP
font is in ~/.local/share/fonts.

Steve Berman